<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Position</title>
    <link rel="stylesheet" href="./css/normalize.css">
    <link rel="stylesheet" href="./css/style.css">
</head>
<body class="page-body">
    <p class="float-container clearfix">
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Autem explicabo maxime numquam officiis quasi quis sequi voluptates! Aliquam aspernatur blanditiis corporis earum nemo voluptatem? Ipsam maxime numquam quasi recusandae similique?
        <span class="float-element">Lorem ipsum dolor sit amet.</span>
<!--        <span class="clearfix"></span>-->
    </p>
    <p class="float-container clearfix">
        <span class="float-element">Lorem ipsum dolor sit amet.</span>
<!--        <span class="clearfix"></span>-->
    </p>

    <p class="float-container">
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Autem explicabo maxime numquam officiis quasi quis sequi voluptates! Aliquam aspernatur blanditiis corporis earum nemo voluptatem? Ipsam maxime numquam quasi recusandae similique?
    </p>

    <div class="position-wrap">
        <div class="item1">relative</div>
        <div class="item2">absolute</div>
        <div class="item3">fixed</div>
    </div>

    <div class="content">
        <h2 class="sticky">header 1</h2>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aliquam assumenda autem enim, error esse ex, id, laudantium molestias neque numquam odio provident qui quod reiciendis rerum sit vel vitae voluptas!</p>
        <h2 class="sticky">header 2</h2>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aliquid, culpa dignissimos dolorum ea excepturi harum id maiores molestiae numquam quisquam sint voluptas voluptates. At autem hic iure laboriosam voluptas.</p>
        <h2 class="sticky">header 3</h2>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. A amet asperiores aspernatur blanditiis consequatur iste labore laboriosam minima molestiae nam neque nihil, nobis quam quidem sapiente veniam vero voluptatem voluptates?</p>
        <h2 class="sticky">header 4</h2>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dicta excepturi ipsum laboriosam nihil numquam officia officiis sapiente. Adipisci, alias enim eum fugiat itaque minus pariatur possimus quia rerum, sed, similique?</p>
        <h2 class="sticky">header 5</h2>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aut dignissimos explicabo harum hic inventore praesentium reiciendis repellat velit. Consectetur doloribus eligendi explicabo fugit, inventore labore veritatis. Amet incidunt minus nemo.</p>
        <h2 class="sticky">header 6</h2>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad, beatae consequatur debitis deleniti esse expedita id maiores maxime natus nisi obcaecati, reprehenderit saepe tempora. Doloremque dolores eos iure non sapiente.</p>
    </div>
</body>
</html>